org.optaplanner.core.impl.domain.policy

## Class DescriptorPolicy

- java.lang.Object
- - org.optaplanner.core.impl.domain.policy.DescriptorPolicy

-     public class DescriptorPolicy
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DescriptorPolicy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFromEntityValueRangeProvider(MemberAccessor memberAccessor)`
    `void` | `addFromSolutionValueRangeProvider(MemberAccessor memberAccessor)`
    `MemberAccessor` | `getFromEntityValueRangeProvider(String id)`
    `MemberAccessor` | `getFromSolutionValueRangeProvider(String id)`
    `Collection<String>` | `getValueRangeProviderIds()`
    `boolean` | `hasFromEntityValueRangeProvider(String id)`
    `boolean` | `hasFromSolutionValueRangeProvider(String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DescriptorPolicy

          public DescriptorPolicy()

  - ### Method Detail

    - #### addFromSolutionValueRangeProvider

          public void addFromSolutionValueRangeProvider(MemberAccessor memberAccessor)

    - #### hasFromSolutionValueRangeProvider

          public boolean hasFromSolutionValueRangeProvider(String id)

    - #### getFromSolutionValueRangeProvider

          public MemberAccessor getFromSolutionValueRangeProvider(String id)

    - #### addFromEntityValueRangeProvider

          public void addFromEntityValueRangeProvider(MemberAccessor memberAccessor)

    - #### hasFromEntityValueRangeProvider

          public boolean hasFromEntityValueRangeProvider(String id)

    - #### getFromEntityValueRangeProvider

          public MemberAccessor getFromEntityValueRangeProvider(String id)

    - #### getValueRangeProviderIds

          public Collection<String> getValueRangeProviderIds()

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.